Package ghidra.program.model.listing

# Enum Class AutoParameterType

java.lang.Object
java.lang.Enum<AutoParameterType>
ghidra.program.model.listing.AutoParameterType

All Implemented Interfaces:
  `Serializable`, `Comparable<AutoParameterType>`, `Constable`

public enum AutoParameterType extends Enum<AutoParameterType>
`AutoParameterType` defines the various types of auto-parameters.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `RETURN_STORAGE_PTR`
  `RETURN_STORAGE_PTR` corresponds to a caller allocated return storage pointer passed as a hidden parameter
  `THIS`
  `THIS` corresponds to the object pointer parameter associated with a __thiscall calling convention and passed as a hidden parameter

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDisplayName()`
  `static AutoParameterType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AutoParameterType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### THIS

    public static final AutoParameterType THIS
    `THIS` corresponds to the object pointer parameter associated with a __thiscall calling convention and passed as a hidden parameter

  - ### RETURN_STORAGE_PTR

    public static final AutoParameterType RETURN_STORAGE_PTR
    `RETURN_STORAGE_PTR` corresponds to a caller allocated return storage pointer passed as a hidden parameter

- ## Method Details

  - ### values

    public static AutoParameterType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AutoParameterType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDisplayName

    public String getDisplayName()